<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" (dict "active" "search" "routeSuffix" .routeSuffix "role" .role)}}

  <div class="col-span-7 sm:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    {{template "partials/headnav" .}}

    <h1 class="text-2xl font-medium mb-1">Proces aanpassen</h1>

    <p class="text-gray-500 mb-3">Proces van vreemdeling <span class="font-medium">{{.vreemdelingNummer}}</span></p>

    <p class="mb-7"><a class="inline-flex items-center text-sm text-sky-600 hover:text-sky-700 hover:underline" href="/vreemdelingen/{{.vreemdelingNummer}}/processen/{{.data.Id}}{{.routeSuffix}}"><svg class="w-4 h-4 mr-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 12h14M5 12l6 6m-6-6l6-6"/></svg> Terug naar het proces</a></p>

    <form class="grid grid-cols-12" action="/vreemdelingen/{{.vreemdelingNummer}}/processen/{{.data.Id}}{{$.routeSuffix}}" method="post">
      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-5 text-gray-600 font-medium break-words">Procestype</p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5">
        {{.proces.Label}}
      </div>

      {{$accessibleAttributes := index .role.WritableProcesAttributes .proces.Name}}
      {{if $accessibleAttributes}}
      {{/* Note: when the user has permissions to change at least one attribute of this proces, we assume the user permissions to set the proces status. */}}

      <label class="col-span-12 sm:col-span-5 md:col-span-4 py-2 sm:pr-2 sm:mb-5 text-gray-600 font-medium break-words" for="attribute-status">Status</label>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5 sm:mb-7">
        {{range $i, $status := .proces.Statuses}}
        <label class="flex items-center mb-1{{if eq $i 0}} mt-2{{end}}">
          <input class="form-radio mr-2 text-sky-600 bg-white border-gray-300 focus:ring-sky-500" type="radio" name="status" value="{{.Name}}"
          {{- if eq .Name $.data.Status}} checked{{end -}}
          >
          {{.Label}}
        </label>
        {{end}}
      </div>

      {{range $i, $attribute := .proces.Attributes}}
      {{if stringIn $accessibleAttributes .Name}}
      {{template "partials/attribute-edit" (dict "attribute" . "data" (index $.data.Attributes .Name) "index" $i)}}
      {{end}}
      {{end}}

      <p class="col-span-12">
        <button
          class="inline-block text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm"
          type="submit">
          Wijzigingen opslaan
        </button>
      </p>
      {{else}}
      {{/* Note: when the user has no permissions to change any attribute of this proces, we assume the user has no permissions to change the proces status. */}}

      <p class="col-span-12 mb-7">Je hebt helaas geen rechten om dit type proces in te voeren.</p>
      {{end}}
    </form>

  </div>
</div>
